Util.ImportResponseWrapper (Tomcat API Documentation)
Keywords: org.apache.jasper.tagplugins.jstl.Util.ImportResponseWrapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.tagplugins.jstl
Class Util.ImportResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.apache.jasper.tagplugins.jstl.Util.ImportResponseWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

Enclosing class:
  Util

    public static class Util.ImportResponseWrapper

extends javax.servlet.http.HttpServletResponseWrapper

Wraps responses to allow us to retrieve results as Strings. mainly taken from org.apache.taglibs.standard.tag.common.core.importSupport

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`Util.ImportResponseWrapper(javax.servlet.http.HttpServletResponse arg0)`

Method Summary
`java.lang.String` | `getCharEncoding()`
`javax.servlet.ServletOutputStream` | `getOutputStream()` The default behavior of this method is to return getOutputStream() on the wrapped response object.
`int` | `getStatus()`
`java.lang.String` | `getString()`
`java.io.PrintWriter` | `getWriter()` The default behavior of this method is to return getWriter() on the wrapped response object.
`void` | `setCharEncoding(java.lang.String ce)`
`void` | `setContentType(java.lang.String x)` Has no effect.
`void` | `setLocale(java.util.Locale x)` Has no effect.
`void` | `setStatus(int status)` The default behavior of this method is to call setStatus(int sc) on the wrapped response object.

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength`

Constructor Detail

### Util.ImportResponseWrapper

    public Util.ImportResponseWrapper(javax.servlet.http.HttpServletResponse arg0)

Method Detail

### getWriter

    public java.io.PrintWriter getWriter()

  Description copied from class: `javax.servlet.ServletResponseWrapper`
  The default behavior of this method is to return getWriter() on the wrapped response object.

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getWriter` in class `javax.servlet.ServletResponseWrapper`
  Returns:
    a `PrintWriter` object that can return character data to the client
  See Also:
    `ServletResponse.getOutputStream()`, `ServletResponse.setCharacterEncoding(java.lang.String)`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()

  Description copied from class: `javax.servlet.ServletResponseWrapper`
  The default behavior of this method is to return getOutputStream() on the wrapped response object.

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
  Returns:
    a `ServletOutputStream` for writing binary data
  See Also:
    `ServletResponse.getWriter()`

### setContentType

    public void setContentType(java.lang.String x)

  Has no effect.

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentType` in class `javax.servlet.ServletResponseWrapper`
  Parameters:
    `x` - a `String` specifying the MIME type of the content
  See Also:
    `ServletResponse.setLocale(java.util.Locale)`, `ServletResponse.setCharacterEncoding(java.lang.String)`, `ServletResponse.getOutputStream()`, `ServletResponse.getWriter()`

### setLocale

    public void setLocale(java.util.Locale x)

  Has no effect.

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setLocale` in class `javax.servlet.ServletResponseWrapper`
  Parameters:
    `x` - the locale of the response
  See Also:
    `ServletResponse.getLocale()`, `ServletResponse.setContentType(java.lang.String)`, `ServletResponse.setCharacterEncoding(java.lang.String)`

### setStatus

    public void setStatus(int status)

  Description copied from class: `javax.servlet.http.HttpServletResponseWrapper`
  The default behavior of this method is to call setStatus(int sc) on the wrapped response object.

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`
  Parameters:
    `status` - the status code
  See Also:
    `HttpServletResponse.sendError(int, java.lang.String)`

### getStatus

    public int getStatus()

### getCharEncoding

    public java.lang.String getCharEncoding()

### setCharEncoding

    public void setCharEncoding(java.lang.String ce)

### getString

    public java.lang.String getString()
                               throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.